<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "narration";
$formname = "Narration Print";
$file = "narr_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

    $name = $_POST[name];
   
    $namecond = "";

if (!empty($name)) {
        $namecond = " AND `code`='$name' ";
}
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code!='' $namecond ")or die(mysqli_error($conn));
//print table ($getpmain);
//die();
if(isset($_POST["view"])) {
    
    include("includes/linkshead.php");
    ?>
    
    </head>
    <body>
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <label class="label-control marg">Date - </label>
                    <label class="label-control marg"><?php Echo Date("d-m-Y"); ?></label>
                </div>
                <div class="col-lg-6">
                    <label class="label-control marg">Print - </label>
                    <label class="label-control marg"><?php Echo $formname; ?></label>
                </div>
                <div class="col-lg-12" style="text-align:right ">
                    <a onclick="window.close()"  class="btn btn-primary">GO Back</a>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-hover">
                        <tr  style="background-color: #1ABC9C">
                            <th>Sr.</th>                        
                            <th>Narration</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {
                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[narr1]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
 <?php
}

if (isset($_POST["excel"])) {
    
    $contents.="Sr.,Name,\n";
    
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $contents.= "$ctr" . ",";
        $contents.= "$pmain[narr1]" . "\n";
        $ctr++;
    }
    
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
